Bug 1138843 - dialog.so and mysql_clear_password.so should be in mariadb-libs package
Summary: dialog.so and mysql_clear_password.so should be in mariadb-libs package
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: mariadb
Version: 7.0
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: rc
: ---
Assignee: Jakub Dorňák
QA Contact: qe-baseos-daemons
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 1289025 1305230
TreeView+ depends on / blocked
 
Reported: 2014-09-05 18:45 UTC by pomyk
Modified: 2016-12-19 13:11 UTC (History)
7 users (show)

(edit)
undefined
Clone Of:
: 1405991 (view as bug list)
(edit)
Last Closed: 2016-11-03 20:45:37 UTC


Attachments (Terms of Use)
Spec file patch that solves problem this problem. (579 bytes, patch)
2014-09-24 08:59 UTC, Matej Mužila
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2595 normal SHIPPED_LIVE Important: mariadb security and bug fix update 2016-11-03 12:11:21 UTC
CentOS 7557 None None None Never

Description pomyk 2014-09-05 18:45:08 UTC
Description of problem:

These two plugins should be in mariadb-libs package not in mariadb-server:
 /usr/lib64/mysql/plugin/dialog.so
 /usr/lib64/mysql/plugin/mysql_clear_password.so

They are needed by the mysql client, for example without dialog.so you can't connect using a pam authenticated account.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Install mariadb package only (without mariadb-server).
2. Try to connect to a mariadb server on other host with pam authentication using the mysql cli client.

Actual results:
Client can't find dialog.so library.

Expected results:
Successful connection.

Additional info:

Comment 2 Matej Mužila 2014-09-17 13:02:15 UTC
Which version of mariadb and mariadb-server do you use?

Comment 3 pomyk 2014-09-17 19:01:23 UTC
Client host has mariadb 5.5.37 package from CentOS, server has 5.5.31 from mariadb.org (but this shouldn't matter).

Comment 4 Matej Mužila 2014-09-24 08:59:06 UTC
Created attachment 940720 [details]
Spec file patch that solves problem this problem.

Comment 8 Michael Bayer 2016-09-06 17:11:11 UTC
Just a heads up that this change is conflicting with galera, in that these files are present in mariadb-libs and not mariadb-server.   We package them in mariadb-galera-server.  See rhbz#1373598

Comment 11 errata-xmlrpc 2016-11-03 20:45:37 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2595.html


Note You need to log in before you can comment on or make changes to this bug.